package com.qmth.teachcloud.report.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 分数段result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/10
 */
public class PiecewiseDistributionResult implements Serializable {

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "学院人数")
    private Double colCount;

    @ApiModelProperty(value = "学院人数比率")
    private Double colCountRate;

    @ApiModelProperty(value = "学校人数")
    private Double schCount;

    @ApiModelProperty(value = "学校人数比率")
    private Double schCountRate;

    @ApiModelProperty(value = "备注")
    private String remark;

    public PiecewiseDistributionResult() {

    }

    public PiecewiseDistributionResult(String name, Double colCount, Double colCountRate, Double schCount, Double schCountRate, String remark) {
        this.name = name;
        this.colCount = colCount;
        this.colCountRate = colCountRate;
        this.schCount = schCount;
        this.schCountRate = schCountRate;
        this.remark = remark;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getColCount() {
        return colCount;
    }

    public void setColCount(Double colCount) {
        this.colCount = colCount;
    }

    public Double getColCountRate() {
        return colCountRate;
    }

    public void setColCountRate(Double colCountRate) {
        this.colCountRate = colCountRate;
    }

    public Double getSchCount() {
        return schCount;
    }

    public void setSchCount(Double schCount) {
        this.schCount = schCount;
    }

    public Double getSchCountRate() {
        return schCountRate;
    }

    public void setSchCountRate(Double schCountRate) {
        this.schCountRate = schCountRate;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
